Package org.springframework.security.acls.model

# Class AclDataAccessException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.springframework.security.acls.model.AclDataAccessException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `AlreadyExistsException`, `ChildrenExistException`, `NotFoundException`, `UnloadedSidException`

public abstract class AclDataAccessException extends RuntimeException
Abstract base class for Acl data operations.

Since:
  3.0
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`AclDataAccessException(String msg)`
Constructs an `AclDataAccessException` with the specified message and no root cause.
`AclDataAccessException(String msg, Throwable cause)`
Constructs an `AclDataAccessException` with the specified message and root cause.

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AclDataAccessException

public AclDataAccessException(String msg, Throwable cause)
Constructs an `AclDataAccessException` with the specified message and root cause.

Parameters:
  `msg` - the detail message
  `cause` - the root cause

### AclDataAccessException

public AclDataAccessException(String msg)
Constructs an `AclDataAccessException` with the specified message and no root cause.

Parameters:
  `msg` - the detail message